apiVersion: v2
name: spring-demo-k8s
description: Deploys the spring-demo-k8s Spring Boot Application

# A chart can be either an 'application' or a 'library' chart.
#
# Application charts are a collection of templates that can be packaged into versioned archives
# to be deployed.
#
# Library charts provide useful utilities or functions for the chart developer. They're included as
# a dependency of application charts to inject those utilities and functions into the rendering
# pipeline. Library charts do not define any templates and therefore cannot be deployed.
type: application

# This is the chart version. This version number should be incremented each time you make changes
# to the chart and its templates, including the app version.
# Versions are expected to follow Semantic Versioning (https://semver.org/)
version: ${chartVersion}

# This is the version number of the application being deployed. This version number should be
# incremented each time you make changes to the application. Versions are not expected to
# follow Semantic Versioning. They should reflect the version the application is using.
# It is recommended to use it with quotes.
appVersion: ${projectVersion}

kubeVersion: ">= 1.3.0"

dependencies:
  - name: postgresql
    version: 16.1.2
    repository: https://charts.bitnami.com/bitnami
    condition: postgresql.enabled
  - name: kafka
    version: 31.0.0
    repository: https://charts.bitnami.com/bitnami
    condition: kafka.enabled
